[riot-commits] [RIOT-OS/RIOT] 330023: tools/pyterm: Notify user if wrong serial package ...

Alexandre Abadie alexandre.abadie at inria.fr
Wed Nov 29 09:40:18 CET 2017


  Branch: refs/heads/master
  Home:   https://github.com/RIOT-OS/RIOT
  Commit: 33002325d5becde6bde4d3cb0dc7f554fdd069ed
      https://github.com/RIOT-OS/RIOT/commit/33002325d5becde6bde4d3cb0dc7f554fdd069ed
  Author: Lucas Jenss <lucas at x3ro.de>
  Date:   2017-11-28 (Tue, 28 Nov 2017)

  Changed paths:
    M dist/tools/pyterm/pyterm

  Log Message:
  -----------
  tools/pyterm: Notify user if wrong serial package is installed

When installing the `serial` package (in contrast to `pyserial`)
the pyterm script will print a cryptic error message and fail.
This is because both packages, though unrelated, expose a `serial`
package (whereas pyserial should expose `pyserial`).

This change catches the error and might save some precious lifetime
of unsuspecting RIOT users, such as myself.


  Commit: 0c03dc2e0bc804186a97d33dbceebc621597dbee
      https://github.com/RIOT-OS/RIOT/commit/0c03dc2e0bc804186a97d33dbceebc621597dbee
  Author: Alexandre Abadie <alexandre.abadie at inria.fr>
  Date:   2017-11-29 (Wed, 29 Nov 2017)

  Changed paths:
    M dist/tools/pyterm/pyterm

  Log Message:
  -----------
  Merge pull request #8168 from x3ro/pyterm-serial-snafu

tools/pyterm: Notify user if wrong serial package is installed


Compare: https://github.com/RIOT-OS/RIOT/compare/eb2c0e29abde...0c03dc2e0bc8


More information about the commits mailing list